> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Draft send an SMS message from an SMS template



## OpenAPI

````yaml /openapi.json post /sms_templates/{id}/draft_send
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /sms_templates/{id}/draft_send:
    post:
      tags:
        - Sms messages
      summary: Draft send an SMS message from an SMS template
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the SMS template
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                from:
                  type: string
                  description: The ID of the phone number to send the SMS from
                to:
                  type: string
                  description: The phone number to send the SMS to
                variables:
                  type: object
                  additionalProperties: true
                  description: Variables to use in the email template
              required:
                - from
                - to
      responses:
        '200':
          description: A `DraftSMSMessage` representing what would have been sent
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DraftSMSMessage'
components:
  schemas:
    DraftSMSMessage:
      type: object
      properties:
        from:
          type: string
          description: The phone number the SMS message would be sent from
        to:
          type: string
          description: The phone number the SMS message would be sent to
        message:
          type: string
          description: The message that would be sent
      required:
        - from
        - to
        - message
      title: The Draft SMS Message object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````